<template>
  <v-badge
    :dot="dot"
    :max="max"
    :content="content"
    color="error"
  >
    <template #badge>
      <span class="text-onError text-[10px] font-medium leading-4 traking-[1.5px] uppercase">
        {{ content }}
      </span>
    </template>
  </v-badge>
</template>

<script setup>
defineProps({
  dot: {
    type: Boolean,
    default: false,
  },
  content: {
    type: Number,
    default: null,
  },
  max: {
    type: Number,
    default: null,
  },
})
</script>